Skip to content

Refreshes a billing run

Request

Security
knox-authorizer
Path
tenantIdstringrequired

The tenant

idstringrequired

The billing_run_id to use to refresh

curl -i -X POST \
  'https://docs.api.rhythmsoftware.com/_mock/apis/membership/membership-v1/billingRuns/{tenantId}/refresh/{id}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The records were retrieved successfully

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
executionArnstring(Executionarn)required

The arn of the execution

notification_channelstring(Notification Channel)

The id of the channel where progress updates will be posted

notification_publishKeystring(Notification Publishkey)

The publish key for the channel where progress updates will be posted

notification_subscribeKeystring(Notification Subscribekey)

The subscribe key for the channel where progress updates will be posted

start_datestring, (date-time)(Start Date)

The start date of the execution

Response
{ "executionArn": "string", "notification_channel": "string", "notification_publishKey": "string", "notification_subscribeKey": "string", "start_date": "2019-08-24T14:15:22Z" }